Subject: [manet] Design Approaches toward the WG Reactive Protocol

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 16 Jan 2013 00:10:32 +0100

Hi All,

 I want to add to one input/mention my views on manet reactive routing
that it is harder to design than proactive protocol within the
Internet, that is why I think we need to careful when specifying its
functions and messaging formats. As I think in history the first MANET
routing was proactive and then reactive and then hybrid, which is
similar what the standardizing steps we got through, all because
harder is later.

There is a problem that reactive work better in some application
scenarios and proactive work better in other application scenarios,
but both are important for MANETs in general. However, there are some
application scenarios where the hybrid routing is the best choice for
the MANET. Another problem is that generated routing information are
different in reactive and proactive, so it will be reasonable that
there may be different best formatting, which needs an answer/discuss.
 I disagree with the approach of RFC5444 to make the general design
before the end of proactive and reactive separate standard. It was a
good approach for hybrid routing of reactive and proactive design.
However, I may be wrong but no one proved that similar formatting will
give better performance for both protocols.

 It will be great if we make the WG reactive protocol work best
without thinking of a hybrid or proactive routing, but just the
reactive. I suggest to start from the documents of reactive we already
discussed before, and go forward. Also I suggest we don't think about
gateway issues as leave it in separate doc, it will only make things
late to be submitted. Also, the BCP of general manet message format is
separate (was that discussed very well, don't think so), we need now
to know best practice of reactive routing format and then may discuss
the general format (i.e. as more in faivor of hybrid approach).

Abdussalam Baryun
University of Glamorgan, UK

+++++++++++++++
Sub:Re: [manet] Hares Technical Question 2: order of address in TLV
On 1/15/13, Abdussalam Baryun <[email-masked]> wrote:
> On 1/15/13, Henning Rogge <[email-masked]> wrote:
>>> The RFC5444 is all about packing that traffic, do you still think they
>>> are
>>> same?
>>
>> I think that the same TLV format can serve the needs of both without
>> the need of "position encoded information".
>>
>
> Ok, I need an answer from any WG participant, to the question which I
> never claim  that I know so far, but want to know; How/what is the
> best way to format RREQ and RREP as TLV in our reactive protocol in
> faivor of all scenarios served (please note that Proactive serve
> better different scenarios than Reactive do and verse versa)?
>
> AB
>
+++++++++++++
Sub: Re: [manet] Notifications from the IETF tools Issue Tracker
On 1/15/13, Abdussalam Baryun <[email-masked]> wrote:
> Hi Herberg,
>
> I think your design/approach of specifying the format for the LOADng
> and OLSRv2 will be great for hybrid routing scenarios, but is it the
> best design for most/all scenarios,
>
> AB
>
> On 1/15/13, Ulrich Herberg <[email-masked]> wrote:
>> Hello Charlie,
>>
>> I agree with Chris and Henning on this matter. You mention extensions for
>> AODV where no problems have been observed. I think part of the reasons is
>> that they (presumably) did not have to interoperate with other
>> implementations that did not support that extension (no multiple vendors
>> /
>> multiple implementations in the same network). Henning mentioned to me
>> once
>> that his OLSR.org (OLSRv1) implementation has some extensions by having a
>> different message type (I am sure he has more details). Sure, that works
>> fine, as long as there are no other routers in the network that do not
>> use
>> the extension, and that therefore cannot know about the new message type.
>> The problem with fixed positions and lengths is that it's hard to extend,
>> and to remain backwards compatible / interoperable, which is a very nice
>> feature about OLSRv2. You can still interoperate routers that only speak
>> the "base" OLSRv2 and others that have extensions and attach new
>> addresses
>> and TLVs in any order or position or address block they want. You can use
>> a
>> common RFC5444 parser and generator for all of them. The flexibility and
>> extensibility of OLSRv2 was one of the main reasons for developing it
>> (compared to OLSR"v1"), and one of the main reasons the MANET WG
>> standardized RFC5444.
>> I have from my implementation experience, both for LOADng and OLSRv2 for
>> which I developed multiple extensions, always appreciated this design
>> choice. It made it very easy to develop in a very modular style, and not
>> care much about backward compatibility.
>>
>> I think it would be useful to have a BCP for RFC5444 on that matter.
>>
>> Best regards
>> Ulrich

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 15 Jan 2013 15:59:01 -0800

Hello Abussalam,

Small follow-up below...

On 1/15/2013 3:10 PM, Abdussalam Baryun wrote:
>                   As I think in history the first MANET

One could argue that reactive came before proactive, but it
isn't too germane to the discussion.  Proactive presents its own
set of "hard problems", many of which have been solved.
The IETF history was that [manet] was started because of
difficulties noted when applying the then-existing proactive
protocols to ad hoc networks.

-- 
Regards,
Charlie P.